Bug 730599 - qla4xxx: fix iscsi boot: export session iface name
Summary: qla4xxx: fix iscsi boot: export session iface name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Mike Christie
QA Contact: Storage QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 01:36 UTC by Mike Christie
Modified: 2011-12-06 14:04 UTC (History)
2 users (show)

Fixed In Version: kernel-2.6.32-192.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 14:04:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1530 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 6 kernel security, bug fix and enhancement update 2011-12-06 01:45:35 UTC

Description Mike Christie 2011-08-15 01:36:35 UTC
Description of problem:

In RHEL 6.1, qla4xxx managed the login in the driver and firmware. In 6.2 it moved to open-iscsi and so it needs to export the ifacename the session is using, so during boot iscsid can use that info to rebuild its state.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Mike Christie 2011-08-15 01:42:57 UTC
Patch is 1 line and trivial:
http://marc.info/?l=linux-scsi&m=131337236014387&w=2

Comment 2 RHEL Product and Program Management 2011-08-15 01:49:47 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 4 Aristeu Rozanski 2011-08-24 15:54:25 UTC
Patch(es) available on kernel-2.6.32-192.el6

Comment 7 errata-xmlrpc 2011-12-06 14:04:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1530.html


Note You need to log in before you can comment on or make changes to this bug.